### Constructor

# Gio SocketClient new

since: 2.22

#### Declaration [src]

    GSocketClient*
    g_socket_client_new (
      void
    )

#### Description [src]

Creates a new `GSocketClient` with the default options.

Available since: 2.22

#### Return value

Type: `GSocketClient`

A `GSocketClient`. Free the returned object with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.